#### D.15.3.29 chWedge

Procedure from library `chern.lib` (see chern_lib).

Usage:
  chWedge(k, r, c [,pos]); k, r integers, c list of polynomials, pos list of integers

Return:
  list with entries: int N, list of polynomials l

Purpose:
  computes the rank and the Chern classes of the exterior power of a vector bundle

Note:
  for the second exterior power chWedge2L(...) could be faster

Example:

    LIB "chern.lib";
    ring r=0, (c(1..5)), dp;
    list l=c(1..5);
    // the rank and the Chern classes of the second exterior power of a vector bundle of rank 3
    print( chWedge(2, 3, l) );
    ==> [1]:
    ==>    3
    ==> [2]:
    ==>    [1]:
    ==>       2*c(1)
    ==>    [2]:
    ==>       c(1)^2+c(2)
    ==>    [3]:
    ==>       c(1)*c(2)-c(3)
    // the rank and the first 3 Chern classes
    // of the fourth exterior power of a vector bundle of rank 5
    print( chWedge(4, 5, l, 1, 2, 3) );
    ==> [1]:
    ==>    5
    ==> [2]:
    ==>    [1]:
    ==>       4*c(1)
    ==>    [2]:
    ==>       6*c(1)^2+c(2)
    ==>    [3]:
    ==>       4*c(1)^3+3*c(1)*c(2)-c(3)

User manual for Singular version 4-0-3, 2016, generated by texi2html.